=== debian/changelog ===
dde-launchpad (2.0.15) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#652)

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:36 +0800

dde-launchpad (2.0.14) unstable; urgency=medium

  * fix: compatibility with Qt 6.10
  * feat: improve app list focus behavior and styling
  * feat: add tap handler to hide launcher

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 21:17:01 +0800

dde-launchpad (2.0.13) unstable; urgency=medium

  * refactor: replace DragHandler with MouseArea for app dragging
  * fix: ensure remove tone for pinyin first letter search
  * fix: remove category check from resetViewState
  * feat: add icon scaling with keyboard shortcuts

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:32:35 +0800

dde-launchpad (2.0.12) unstable; urgency=medium

  * fix: add right margin to windowed frame layout

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:44:37 +0800

dde-launchpad (2.0.11) unstable; urgency=medium

  * fix: improve focus management in folder grid view

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 04 Sep 2025 17:34:40 +0800

dde-launchpad (2.0.10) unstable; urgency=medium

  * feat: add logs with dlogcover.
  * [skip CI] Translate org.deepin.ds.dock.launcherapplet.ts in zh_HK
  * [skip CI] Translate org.deepin.ds.dock.launcherapplet.ts in zh_CN
  * [skip CI] Translate org.deepin.ds.dock.launcherapplet.ts in zh_TW
  * fix: adjust WindowedFrame layout width
  * fix: reset page index on frame change

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 28 Aug 2025 17:52:37 +0800
