=== debian/changelog ===
dde-launchpad (2.0.17) unstable; urgency=medium

  * chore: adapt debugging settings function

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Nov 2025 19:48:43 +0800

dde-launchpad (2.0.16) unstable; urgency=medium

  * fix: reset grid view index when hiding launcher
  * fix: avoid keyboard focus on menu that not visible

 -- Robertkill <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:02:06 +0800
